GET api/property/historicalprices/radius?propertyId={propertyId}&latitude={latitude}&longitude={longitude}&mileRadius={mileRadius}&propertyType={propertyType}&styleType={styleType}&leaseType={leaseType}&pageNumber={pageNumber}&pageSize={pageSize}
Get historical prices within a radius of a location
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| propertyId |
The Id of the property whose location will be searched from. Can be null if latitude and longitude set |
integer |
None. |
| latitude |
The latitude to search from. Can be null if property id set |
decimal number |
None. |
| longitude |
The longitude to search from. Can be null if property id set |
decimal number |
None. |
| mileRadius |
The radius from the latitude/longitude in miles to search. Default 1 mile |
integer |
Default value is 1 |
| propertyType |
Options are: DetachedHouse, SemiDetachedHouse, TerracedHouse, Flat |
string |
None. |
| styleType |
Options are: New, Older |
string |
None. |
| leaseType |
Options are: Freehold, Leasehold |
string |
None. |
| pageNumber | integer |
Default value is 1 |
|
| pageSize | integer |
Default value is 20 |
Body Parameters
None.
Response Information
Resource Description
A list of prices
PagedCollectionDataContractOfHistoricalPriceDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount | integer |
None. |
|
| CurrentCount | integer |
None. |
|
| PageSize | integer |
None. |
|
| PageNumber | integer |
None. |
|
| Collection | Collection of HistoricalPriceDataContract |
None. |
Response Formats
application/json, text/json
Sample:
{
"TotalCount": 1,
"CurrentCount": 2,
"PageSize": 1,
"PageNumber": 1,
"Collection": [
{
"TransactionId": "8d43c27f-f75e-48fd-86e9-be095cca31ef",
"Price": 2,
"DateTime": "2026-03-08T17:24:57.2160046Z",
"Postcode": "sample string 4",
"Outcode": "sample string 5",
"Incode": "sample string 6",
"PropertyType": "sample string 7",
"StyleType": "sample string 8",
"LeaseType": "sample string 9",
"NumberParsed": 1,
"NumberSuffix": "sample string 10",
"Number": "sample string 11",
"BuildingName": "sample string 12",
"Latitude": 13.1,
"Longitude": 14.1,
"LatitudeLongitude": "13.1,14.1",
"AddressId": "sample string 15"
},
{
"TransactionId": "8d43c27f-f75e-48fd-86e9-be095cca31ef",
"Price": 2,
"DateTime": "2026-03-08T17:24:57.2160046Z",
"Postcode": "sample string 4",
"Outcode": "sample string 5",
"Incode": "sample string 6",
"PropertyType": "sample string 7",
"StyleType": "sample string 8",
"LeaseType": "sample string 9",
"NumberParsed": 1,
"NumberSuffix": "sample string 10",
"Number": "sample string 11",
"BuildingName": "sample string 12",
"Latitude": 13.1,
"Longitude": 14.1,
"LatitudeLongitude": "13.1,14.1",
"AddressId": "sample string 15"
}
]
}